Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158819 - RHEL3 does not support USBDEVFS 32-bit ioctls on x86_64
Summary: RHEL3 does not support USBDEVFS 32-bit ioctls on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-05-26 02:17 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 16:00:28 UTC


Attachments (Terms of Use)
Candidate #1 - not using set_fs() (deleted)
2005-06-14 00:55 UTC, Pete Zaitcev
no flags Details | Diff
Candidate #2 - added COMPATIBLE_IOCTL (deleted)
2005-10-18 05:41 UTC, Pete Zaitcev
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-05-26 02:17:25 UTC
Escalated to Bugzilla from IssueTracker

Comment 3 Marty Wesley 2005-05-26 06:51:02 UTC
PM ACK for U6

Comment 8 Pete Zaitcev 2005-06-14 00:55:44 UTC
Created attachment 115382 [details]
Candidate #1 - not using set_fs()

Same as in bug 158852, only somewhat lighter touch than RHEL 4:
 - All definitions are in the drivers/usb/devio.c
 - Uses CONFIG_IA32_EMULATION instead of CONFIG_COMPAT

Comment 19 Pete Zaitcev 2005-10-18 05:41:09 UTC
Created attachment 120109 [details]
Candidate #2 - added COMPATIBLE_IOCTL

Comment 20 Pete Zaitcev 2005-10-18 05:44:39 UTC
I need Dell to test the kernel from this URL:
 ftp://people.redhat.com/zaitcev/158819/
The patch seems simple, but we always test actual patch and actual build,
just in case of a typo somewhere.


Comment 21 Ernie Petrides 2005-10-18 06:39:33 UTC
Fixing "hardware" field and putting into NEEDINFO state.

Please test PeteZ's fix as requested in comment #20.

Comment 24 Ernie Petrides 2005-11-23 02:12:57 UTC
I don't see any bugzilla comment verifying that the testing was completed
successfully (as requested in comment #20).  Reverting to NEEDINFO.


Comment 25 Ernie Petrides 2005-11-28 23:03:24 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.11.EL).


Comment 27 Larry Troan 2005-12-15 03:54:22 UTC
Public Bug. All future communication should occur in this bug 158819.

Comment 29 Charles Rose 2006-02-08 06:04:47 UTC
From IT72803:
Event posted 02-07-2006 12:45am by Byju_Michael
not fixed in RHEL3 U7 

Comment 30 Pete Zaitcev 2006-02-08 08:09:04 UTC
It totally was fixed. What is the actual kernel release which prompted the
comment by Byju? How did they test? And come to think about it, nobody
acted upon my request to test (comment #20) and Ernie's reminders.


Comment 31 Charles Rose 2006-02-15 14:57:07 UTC
Event posted 02-15-2006 06:22am by Byju_Michael
This is regressed with  RHEL 3 U7 post beta1 kernel 2.4.21-40.EL kernel and the
issue is fixed. 

Comment 32 Ernie Petrides 2006-02-15 20:12:05 UTC
Charles Rose, please clarify your last comment.  I don't understand
what you meant by "regressed".  As far as I know, this problem was
fixed in U7 before the beta candidate (-38.EL) was built and it
remains fixed in the most recent U7 respin (-40.EL).

Thanks in advance.  -ernie


Comment 33 Charles Rose 2006-02-22 06:05:38 UTC
Sorry for the confusion. The issue was fixed in -38.EL and was verified again
with -40.EL.

Comment 35 Red Hat Bugzilla 2006-03-15 16:00:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.